Bug 167942 - FEAT RHEL3 U7: Need 'bnx2' driver inclusion to support Broadcom 5708C B0 NIC and 5708S BO LOM
FEAT RHEL3 U7: Need 'bnx2' driver inclusion to support Broadcom 5708C B0 NIC ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
: FutureFeature
Depends On:
Blocks: 168424 170561
  Show dependency treegraph
 
Reported: 2005-09-09 14:18 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2006-0144
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-15 11:32:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-bnx2-5708-fixes.patch (334.67 KB, patch)
2006-01-11 16:37 EST, John W. Linville
no flags Details | Diff

  None (edit)
Description Issue Tracker 2005-09-09 14:18:37 EDT
Escalated to Bugzilla from IssueTracker
Comment 4 Issue Tracker 2005-09-09 14:19:08 EDT
From User-Agent: XML-RPC

 Red Hat confirmed that they have received the hardware during the weekly
call on 25 Aug 2005


This event sent from IssueTracker by dff
 issue 77995
Comment 8 Issue Tracker 2005-09-11 09:52:20 EDT
From User-Agent: XML-RPC

John Linville has a NIC with a 5708 Broadcom chip but doesn't know if
it's "5708C B0"  or not. Will ask him to run lspci -vv against the NIC
to obtain details.


This event sent from IssueTracker by ltroan
 issue 77995
Comment 9 John W. Linville 2005-09-21 21:34:28 EDT
Here is the data...do I have the right hardware?

[root@localhost ~]# lspci -s 02:00.0 -nxxxxvv
02:00.0 Class 0200: 14e4:164c (rev 10)
        Subsystem: 14e4:164c
        Control: I/O- Mem+ BusMaster+ SpecCycle+ MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 32 (16000ns min), Cache Line Size 10
        Interrupt: pin A routed to IRQ 169
        Region 0: Memory at fc000000 (64-bit, non-prefetchable) [size=32M]
        Expansion ROM at fe000000 [disabled] [size=128K]
        Capabilities: [40] PCI-X non-bridge device.
                Command: DPERE- ERO- RBC=0 OST=4
                Status: Bus=2 Dev=0 Func=0 64bit+ 133MHz+ SCD- USC-, DC=simple,
DMMRBC=0, DMOST=4, DMCRS=2, RSCEM-
        Capabilities: [48] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [50] Vital Product Data
        Capabilities: [58] Message Signalled Interrupts: 64bit+ Queue=0/0 Enable-
                Address: 7ef5e721fbfefdac  Data: f3db
00: e4 14 4c 16 1e 01 b0 02 10 00 00 02 10 20 00 00
10: 04 00 00 fc 00 00 00 00 00 00 00 00 00 00 00 00
20: 00 00 00 00 00 00 00 00 00 00 00 00 e4 14 4c 16
30: 00 00 00 fe 40 00 00 00 00 00 00 00 0b 01 40 00
40: 07 48 40 00 00 02 03 0a 01 50 02 c0 00 20 00 1d
50: 03 58 f8 73 b3 af 9f eb 05 00 80 00 ac fd fe fb
60: 21 e7 f5 7e db f3 00 00 88 00 00 81 2d 00 00 00
70: 07 00 00 00 00 00 00 00 08 08 00 00 00 00 00 00
80: 00 10 08 57 00 00 04 00 00 00 00 00 00 00 00 00
90: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
a0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
b0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
c0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
d0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
e0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
f0: 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00 00
Comment 10 David Miller 2005-09-21 23:17:23 EDT
0x164c is the PCI device ID for 5708 chips,
0x16ac is the PCI device ID for 5708S chips.

I'm pretty sure they mean "Copper" in the "C" in 5708C
which is what the 0x164c 5708 chip is.  Whereas the S
in "5708S" means "Serdes" or "Fibre" which is the 0x16ac
PCI device ID.

When you load the driver, it reads an internal register which
determines which sub-revision (this is what the "B0" in
5708C B0 is talking about) it is.

I believe the BNX2 driver prints out the sub-revision information
when you load it.  If not, just add some debugging code to bnx2.c
which prints out the CHIP_ID() value, it should be CHIP_ID_5708_B0
for 5708C B0.
Comment 11 Issue Tracker 2005-09-22 15:32:05 EDT
From User-Agent: XML-RPC

Q. How to identify stepping of network controller ?

A. On the ASIC, in very small letters, there is a combination of letters
and numbers in the form PXX, where P is always the letter.  The XX
indicates the version of the ASIC such that the first number (from left to
right) is the numerical equivalent of the letter of the alphabet (1=A, 2=B,
etc..) and the second number is itself, thus P20 would be the B0 stepping
of the NIC.


This event sent from IssueTracker by ltroan
 issue 77995
Comment 12 John W. Linville 2005-09-22 21:19:31 EDT
P20 (aka B0) confirmed... 
Comment 14 John W. Linville 2005-09-30 12:49:15 EDT
Test kernels w/ embargoed patches available here: 
 
   http://people.redhat.com/linville/kernels/rhel3/rhel3-brcm/ 
 
   user: jwltest 
   password: broadcom 
 
Please give them a try with the appropriate hardware and post the 
results...thanks! 
Comment 16 Issue Tracker 2005-10-19 19:21:08 EDT
From User-Agent: XML-RPC

All links for latest kernel(s) on
http://people.redhat.com/linville/kernels/rhel3/rhel3-brcm/ are broken.
Please fix, so Dell can download, test and validate the bnx2 driver for
U7.


This event sent from IssueTracker by ltroan
 issue 77995
Comment 17 Issue Tracker 2005-10-19 19:32:45 EDT
From User-Agent: XML-RPC

Several of the links on John Linville's  "red page" worked fine for me
and I came in from a box outside Red Hat's firewall. I was able to
download 3 of the kernels.



Did you use the login ID and password John supplied below?


This event sent from IssueTracker by ltroan
 issue 77995
Comment 18 John W. Linville 2005-10-20 14:03:44 EDT
There was a problem with the web page generation, but I believe it to be 
working now... 
Comment 21 John W. Linville 2005-11-01 16:29:40 EST
Patches posted to rhkernel-list on 11/1... 
Comment 23 Ernie Petrides 2005-11-17 23:51:42 EST
The new bnx2 driver has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.9.EL).

Comment 25 Red Hat Bugzilla 2005-12-07 22:10:33 EST
Bug report changed to ON_QA status by Errata System.
A QE request has been submitted for advisory RHSA-2006:144-02.
http://porkchop.redhat.com/errata/showrequest.cgi?advisory=3336
Comment 26 Larry Troan 2005-12-14 22:24:49 EST
Bug is open to public. All future communication should be in this bug 167942.
Comment 28 John W. Linville 2006-01-11 16:23:33 EST
Looks like I delivered a bad patch...current bnx2 driver in RHEL3 does NOT  
support 5708.  
  
I have a new patch that brings-in 5708 support, including some recent fixes  
identified for RHEL4.  Kernels are building now...I will post them as soon as  
they are available.  
Comment 29 John W. Linville 2006-01-11 16:37:52 EST
Created attachment 123077 [details]
jwltest-bnx2-5708-fixes.patch
Comment 30 John W. Linville 2006-01-11 16:39:37 EST
Test kernels w/ the above patch here:  
  
   http://people.redhat.com/linville/kernels/rhel3/ 
 
Anyone with 5708 hardware is urged to run the above kernels ASAP and post the 
results here...thanks!  
Comment 32 Danny Trinh 2006-01-16 14:18:04 EST
Yes, the kernels work with 5708C, and 5708S.
Comment 35 Ernie Petrides 2006-01-20 18:39:16 EST
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-39.EL).
Comment 37 Amit Bhutani 2006-01-25 18:55:25 EST
John- Will the next respin of U7 beta contain the needed patch for 5708 
hardware as in the posted kernels from comment #30 ? Please confirm.
Comment 38 Ernie Petrides 2006-01-25 19:32:28 EST
Amit, yes, I can confirm that the patch in comment #30 has already been
committed to Friday's respin of RHEL3 U7 (2.4.21-39.EL).  This kernel is
undergoing internal Q/A now.  It (or a possible successor) will appear in
the RHN beta channel in the near future, but we don't yet have a target
date for this.
Comment 39 Danny Trinh 2006-01-27 10:06:42 EST
bnx2 driver in kernel-2.4.21-39.EL/smp/hugemem works with 5708C, and 5708S.

Comment 41 Red Hat Bugzilla 2006-03-15 11:32:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html

Note You need to log in before you can comment on or make changes to this bug.